#include <iostream>
#include <cmath>
#include <stdio.h>
#include <stdint.h>
#include <float.h>
using namespace std;

unsigned long long combine(int a, int b) {
   int times = 1;
   while (times <= b)
      times *= 10;
      
   return a*times + b;
} 


int main(int argc, char** argv) {
	int br;
	unsigned long long  a,b,c,abc,acb,cab,cba,bac,bca,max;
	
	cin>>a>>b>>c;
	
	abc = combine(combine(a,b),c);
	acb = combine(combine(a,c),b);
	bac = combine(combine(b,a),c);
	bca = combine(combine(b,c),a);
	cab = combine(combine(c,a),b);
	cba = combine(combine(c,b),a); 
	
	max = abc;
	for(int i = 0;i<6; i++){
		if (acb>max){
			
			max = acb;
		}
		if (bac>max){
			
			max = bac;
		}
		if (bca>max){
			
			max = bca;
		}
		if (cab>max){
			
			max = cab;
		}
		if (cba>max){
			
			max = cba;
			
		}
	}
	if (abc==max){
			
		cout<<a<<b<<c;
		br = 1;
		}
	if (acb==max){
			if (br ==0){
			br = 1;
		cout<<a<<c<<b;
	}
		}
		if (bac==max){
			
				if (br ==0){
					br = 1;
		cout<<b<<a<<c;
		}}
		if (bca==max){
				if (br ==0){
			cout<<b<<c<<a;
		br = 1;
		}}
		if (cab==max){
				if (br ==0){
		cout<<c<<a<<b;
		br = 1;
		}}
		if (cba==max){
				if (br ==0){
		cout<<c<<b<<a;
		br = 1;
		}}
	
	return 0;
}